Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.config
Class RandomizerConfiguration

    java.lang.Object
      lbg.peer.config.RandomizerConfiguration

All Implemented Interfaces:
  java.lang.Cloneable

    public class RandomizerConfiguration

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Cyril Briquet

Constructor Summary
`RandomizerConfiguration(java.util.Properties props)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `format(boolean log_format)` Outputs the RandomizerConfiguration, formatted either as a property file or as a log file.
`int` | `SIMULATION_SEED()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RandomizerConfiguration

    public RandomizerConfiguration(java.util.Properties props)
                            throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the RandomizerConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format RandomizerConfiguration as a log file
  Returns:
    formatted RandomizerConfiguration

### SIMULATION_SEED

    public int SIMULATION_SEED()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.